Get Sensor By Id

Get Sensor By Id
Get sensor by id

Get a sensor with the specified id.

Request
URI
GET
https://{api_host}/sensors/appliances/{appliance-id}
COPY
Path Parameters
string
appliance-id
Required  

Used to identify a sensor appliance.

appliance-id example
8c147e21-7410-4f77-a3a6-e7aa6034992f

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Sensor of type(s) application/json
This response body class contains all of the following: ManagedResource , InlineSensor1
{
    "_create_time": 1777886290727,
    "_create_user": "ndr-sensor",
    "_revision": 1,
    "algorithm": "RSA",
    "certificate": "-----BEGIN CERTIFICATE----- xxxxx -----END CERTIFICATE-----",
    "description": "Token for ndr sensor",
    "display_name": "sensor",
    "id": "8c147e21-7410-4f77-a3a6-e7aa6034992f",
    "key_size": 3072,
    "pem_encoded": "xxxxx",
    "token_id": "793a8565-0ff9-4340-a154-a9eecddbdd2e"
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "sensor",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    ["platform-sensor-all"]
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sensors/appliances/{appliance-id}